> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trio.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# List Recurrences

> List recurrences with parameters



## OpenAPI

````yaml api-reference/banking-api/openapi.json GET /banking/cashin/pix/recurrences
openapi: 3.0.0
info:
  title: Banking API
  version: 1.0.0
servers:
  - url: https://api.sandbox.trio.com.br
    variables: {}
  - url: https://api.qa.trio.com.br
    variables: {}
  - url: https://api.trio.com.br
    variables: {}
security: []
tags: []
paths:
  /banking/cashin/pix/recurrences:
    get:
      tags:
        - Recurrences
      summary: List recurrences
      description: List recurrences with parameters
      operationId: TrioFoundationWeb.Banking.Cashin.RecurrenceController.index
      parameters:
        - description: Recurrence Entity Id
          in: query
          name: entity_id
          required: false
          schema:
            format: uuid
            type: string
        - description: Virtual Account Id
          in: query
          name: virtual_account_id
          required: false
          schema:
            format: uuid
            type: string
        - description: Recurrence datetime, lower bound for the list of recurrences
          in: query
          name: from_datetime
          required: true
          schema:
            format: date-time
            type: string
        - description: Recurrence datetime, upper bound for the list of recurrences
          in: query
          name: to_datetime
          required: true
          schema:
            format: date-time
            type: string
        - description: >-
            Parameter used for pagination. It is a base64 encoded param used to
            access the previous page of results. It is provided alongside a
            metadata section if there is a previous page.
          example: >-
            g3QAAAABZAACaWRtAAAAJDU4ZjFlYzhlLWFmYTktNDk0My05M2I1LWQ2ZGM3OWI0M2VhYQ==
          in: query
          name: before
          required: false
          schema:
            type: string
        - description: >-
            Parameter used for pagination. It's a base64 encoded param used to
            access the previous page of results. Provided along with the data in
            the metadata section if there is a previous page.
          example: >-
            g3QAAAABZAACaWRtAAAAJGJhYTNiNmM1LTAyYTYtNGQ5Ny05NzU1LTI3OGFiNjRiN2Y1MQ==
          in: query
          name: after
          required: false
          schema:
            type: string
        - description: Number of registries to be returned
          in: query
          name: limit
          required: false
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RecurrenceListResponse'
          description: Recurrences
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
      callbacks: {}
components:
  schemas:
    RecurrenceListResponse:
      description: Recurrence lists response
      example:
        data:
          - counterparty_bank_account_id: 019f2433-fc70-e080-7d0d-434f3e3e2716
            start_date: '2026-07-02T19:00:14.576106Z'
            counterparty_id: 019f2433-fc70-48c2-7e21-92a325250b3a
            inserted_at: '2026-07-02T19:00:14.576109Z'
            type: in
            entity_id: 019f2433-fc70-93ce-24c2-fa67aab62b5e
            reference_id: 019f2433-fc70-f156-de3c-edd98da9c015
            approval_type: qrdn
            minimum_amount:
              amount: 10
              currency: BRL
            ispb: '19947272'
            first_payment_date: '2026-07-02T19:00:14.576105Z'
            virtual_account_id: 019f2433-fc70-bdd7-af3d-04b39b57ed8c
            number_of_collections: 10
            company_id: 019f2433-fc70-c21e-94d2-964df992eec0
            automatic_schedule: false
            end_date: '2026-07-02T19:00:14.576106Z'
            status: approved
            updated_at: '2026-07-02T19:00:14.576109Z'
            next_working_day: true
            description: Descrição da recorrência
            id: 019f2433-fc70-9a6a-9024-29ac6a2ad3c8
            id_rec: 019f2433-fc70-8a1a-a7d6-99741bad3e00
            fixed_amount:
              amount: 10
              currency: BRL
            contract_number: '123'
            txid: HASHJDFHJASDJHFUU23E1287317823
            journey: aut1
            external_id: Teste 1
            authorization_date: '2026-07-02T19:00:14.576108Z'
            retry_policy: none
            timestamp: '2026-07-02T19:00:14.576091Z'
            origin_id: 019f2433-fc70-d826-d526-d1f86e60793d
            org_id: 019f2433-fc70-95f6-3398-34ab36067425
            first_payment_amount:
              amount: 10
              currency: BRL
            maximum_amount:
              amount: 10
              currency: BRL
            periodicity: week
            origin_type: api_client
            update_date: '2026-07-02T19:00:14.576108Z'
            bank_account_id: 019f2433-fc70-6451-ca10-2d18e12ada97
            counterparty_info_id: 019f2433-fc70-dca5-da57-33a13c4015b1
            counterparty_seq: '12'
      properties:
        data:
          $ref: '#/components/schemas/RecurrenceListData'
      title: RecurrenceListResponse
      type: object
    JsonErrorResponse:
      properties:
        errors:
          items:
            properties:
              detail:
                example: null value where string expected
                type: string
              source:
                properties:
                  pointer:
                    example: /data/attributes/petName
                    type: string
                required:
                  - pointer
                type: object
              title:
                example: Invalid value
                type: string
            required:
              - title
              - source
              - detail
            type: object
          type: array
      required:
        - errors
      title: JsonErrorResponse
      type: object
    RecurrenceListData:
      description: A list data of automatic recurrences
      example:
        - counterparty_bank_account_id: 019f2433-fc70-e080-7d0d-434f3e3e2716
          start_date: '2026-07-02T19:00:14.576106Z'
          counterparty_id: 019f2433-fc70-48c2-7e21-92a325250b3a
          inserted_at: '2026-07-02T19:00:14.576109Z'
          type: in
          entity_id: 019f2433-fc70-93ce-24c2-fa67aab62b5e
          reference_id: 019f2433-fc70-f156-de3c-edd98da9c015
          approval_type: qrdn
          minimum_amount:
            amount: 10
            currency: BRL
          ispb: '19947272'
          first_payment_date: '2026-07-02T19:00:14.576105Z'
          virtual_account_id: 019f2433-fc70-bdd7-af3d-04b39b57ed8c
          number_of_collections: 10
          company_id: 019f2433-fc70-c21e-94d2-964df992eec0
          automatic_schedule: false
          end_date: '2026-07-02T19:00:14.576106Z'
          status: approved
          updated_at: '2026-07-02T19:00:14.576109Z'
          next_working_day: true
          description: Descrição da recorrência
          id: 019f2433-fc70-9a6a-9024-29ac6a2ad3c8
          id_rec: 019f2433-fc70-8a1a-a7d6-99741bad3e00
          fixed_amount:
            amount: 10
            currency: BRL
          contract_number: '123'
          txid: HASHJDFHJASDJHFUU23E1287317823
          journey: aut1
          external_id: Teste 1
          authorization_date: '2026-07-02T19:00:14.576108Z'
          retry_policy: none
          timestamp: '2026-07-02T19:00:14.576091Z'
          origin_id: 019f2433-fc70-d826-d526-d1f86e60793d
          org_id: 019f2433-fc70-95f6-3398-34ab36067425
          first_payment_amount:
            amount: 10
            currency: BRL
          maximum_amount:
            amount: 10
            currency: BRL
          periodicity: week
          origin_type: api_client
          update_date: '2026-07-02T19:00:14.576108Z'
          bank_account_id: 019f2433-fc70-6451-ca10-2d18e12ada97
          counterparty_info_id: 019f2433-fc70-dca5-da57-33a13c4015b1
          counterparty_seq: '12'
      items:
        $ref: '#/components/schemas/RecurrenceData'
      title: RecurrenceListData
      type: array
    RecurrenceData:
      description: A recurrence
      example:
        counterparty_bank_account_id: 019f2433-fc70-e080-7d0d-434f3e3e2716
        start_date: '2026-07-02T19:00:14.576106Z'
        counterparty_id: 019f2433-fc70-48c2-7e21-92a325250b3a
        inserted_at: '2026-07-02T19:00:14.576109Z'
        type: in
        entity_id: 019f2433-fc70-93ce-24c2-fa67aab62b5e
        reference_id: 019f2433-fc70-f156-de3c-edd98da9c015
        approval_type: qrdn
        minimum_amount:
          amount: 10
          currency: BRL
        ispb: '19947272'
        first_payment_date: '2026-07-02T19:00:14.576105Z'
        virtual_account_id: 019f2433-fc70-bdd7-af3d-04b39b57ed8c
        number_of_collections: 10
        company_id: 019f2433-fc70-c21e-94d2-964df992eec0
        automatic_schedule: false
        end_date: '2026-07-02T19:00:14.576106Z'
        status: approved
        updated_at: '2026-07-02T19:00:14.576109Z'
        next_working_day: true
        description: Descrição da recorrência
        id: 019f2433-fc70-9a6a-9024-29ac6a2ad3c8
        id_rec: 019f2433-fc70-8a1a-a7d6-99741bad3e00
        fixed_amount:
          amount: 10
          currency: BRL
        contract_number: '123'
        txid: HASHJDFHJASDJHFUU23E1287317823
        journey: aut1
        external_id: Teste 1
        authorization_date: '2026-07-02T19:00:14.576108Z'
        retry_policy: none
        timestamp: '2026-07-02T19:00:14.576091Z'
        origin_id: 019f2433-fc70-d826-d526-d1f86e60793d
        org_id: 019f2433-fc70-95f6-3398-34ab36067425
        first_payment_amount:
          amount: 10
          currency: BRL
        maximum_amount:
          amount: 10
          currency: BRL
        periodicity: week
        origin_type: api_client
        update_date: '2026-07-02T19:00:14.576108Z'
        bank_account_id: 019f2433-fc70-6451-ca10-2d18e12ada97
        counterparty_info_id: 019f2433-fc70-dca5-da57-33a13c4015b1
        counterparty_seq: '12'
      properties:
        counterparty_bank_account_id:
          description: Counterparty Bank Account ID
          format: uuid
          type: string
        start_date:
          description: Recurrence Start Date
          format: date-time
          type: string
        counterparty_id:
          description: Counterparty ID
          format: uuid
          type: string
        inserted_at:
          description: Inserted At
          format: date-time
          type: string
        type:
          $ref: '#/components/schemas/RecurrenceType'
        entity_id:
          description: Entity ID
          format: uuid
          type: string
        reference_id:
          description: Reference ID
          format: uuid
          type: string
        minimum_amount:
          description: Minimum Amount
          properties:
            amount:
              description: Amount integer in cents
              type: string
            currency:
              description: Amount currency
              type: string
          type: object
        ispb:
          description: ISPB
          type: string
        first_payment_date:
          description: First Payment Date
          format: date-time
          type: string
        virtual_account_id:
          description: Virtual Account ID
          format: uuid
          type: string
        number_of_collections:
          description: Number Of Collections
          type: string
        company_id:
          description: Company ID
          format: uuid
          type: string
        automatic_schedule:
          description: Automated Collecting
          type: string
        end_date:
          description: Recurrence End Date
          format: date-time
          type: string
        status:
          $ref: '#/components/schemas/RecurrenceStatus'
        updated_at:
          description: Updated At
          format: date-time
          type: string
        next_working_day:
          description: Next Working Day
          type: string
        description:
          description: Description
          type: string
        id:
          description: Recurrence ID
          format: uuid
          type: string
        id_rec:
          description: ID Rec
          type: string
        fixed_amount:
          description: Fixed Amount
          properties:
            amount:
              description: Amount integer in cents
              type: string
            currency:
              description: Amount currency
              type: string
          type: object
        contract_number:
          description: Contract Number
          type: string
        txid:
          description: Txid
          type: string
        journey:
          $ref: '#/components/schemas/Journey'
        external_id:
          description: External ID
          format: uuid
          type: string
        authorization_date:
          description: Authorization Date
          format: date-time
          type: string
        retry_policy:
          $ref: '#/components/schemas/RecurrenceRetryPolicy'
        timestamp:
          description: Timestamp
          type: string
        origin_id:
          description: Origin ID
          format: uuid
          type: string
        org_id:
          description: Org ID
          format: uuid
          type: string
        first_payment_amount:
          description: First payment Amount
          properties:
            amount:
              description: Amount integer in cents
              type: string
            currency:
              description: Amount currency
              type: string
          type: object
        maximum_amount:
          description: Maximum Amount
          properties:
            amount:
              description: Amount integer in cents
              type: string
            currency:
              description: Amount currency
              type: string
          type: object
        reference_type:
          $ref: '#/components/schemas/RecurrenceReferenceType'
        periodicity:
          $ref: '#/components/schemas/RecurrencePeriodicity'
        origin_type:
          $ref: '#/components/schemas/RecurrenceOrigintype'
        update_date:
          description: Update Date
          format: date-time
          type: string
        bank_account_id:
          description: Bank Account ID
          format: uuid
          type: string
        counterparty_info_id:
          description: Counterparty Info ID
          format: uuid
          type: string
        counterparty_seq:
          description: Counterparty Seq
          type: string
      title: RecurrenceData
      type: object
    RecurrenceType:
      description: Types of recurrence type
      enum:
        - in
        - out
      title: RecurrenceType
      type: string
    RecurrenceStatus:
      description: Types of recurrence status
      enum:
        - created
        - approved
        - rejected
        - expired
        - cancelled
      title: RecurrenceStatus
      type: string
    Journey:
      description: Types of recurrence journey
      enum:
        - aut1
        - aut2
        - aut3
        - aut4
      title: Journey
      type: string
    RecurrenceRetryPolicy:
      description: Types of recurrence retry policy
      enum:
        - none
        - 3r_7d
      title: RecurrenceRetryPolicy
      type: string
    RecurrenceReferenceType:
      description: >-
        Recurrence reference types, 'requ' = app, 'qrdn' = dynamicQRCode, 'qres'
        = staticQRCode
      enum:
        - requ
        - qrdn
        - qres
      title: RecurrenceReferenceType
      type: string
    RecurrencePeriodicity:
      description: >-
        'week': every week, 'mnth': every month, 'qurt': every 3 months, 'mian':
        every 6 months, 'year': every year
      enum:
        - week
        - mnth
        - qurt
        - mian
        - year
      title: RecurrencePeriodicity
      type: string
    RecurrenceOrigintype:
      description: Origin Types of recurrence
      enum:
        - none
        - api_client
        - console_user
        - billing
        - reconciliation
        - checkout
        - bridge
      title: RecurrenceOrigintype
      type: string

````